Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class DirConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.DirConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class DirConfigOption
extends ConfigOption

See Also:
  Serialized Form

Constructor Summary
`protected` `DirConfigOption()` Should only be used by serializer/deserializer
`` `DirConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` `DirConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Method Summary
`void` `checkOptionIsValid(java.lang.String value)`
`net.hyperic.util.config.OptionTransport` `getTransport()`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirConfigOption

    protected DirConfigOption()

  Should only be used by serializer/deserializer

### DirConfigOption

    public DirConfigOption(java.lang.String optName,
                           java.lang.String optDesc,
                           java.lang.String defValue)

### DirConfigOption

    public DirConfigOption(net.hyperic.util.config.OptionTransport transport)
                    throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getTransport

    public net.hyperic.util.config.OptionTransport getTransport()

  Specified by:
    `getTransport` in class `ConfigOption`

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.